Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 612991 - [nm-system.c:1271] check_one_route(): (wlan0): error -34 returned from rtnl_route_del(): Netlink Error (errno = Numerical result out of range)
[nm-system.c:1271] check_one_route(): (wlan0): error -34 returned from rtnl_r...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Dan Williams
David Kovalsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-09 09:23 EDT by David Kovalsky
Modified: 2014-03-31 19:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: NetworkManager-0.8.1-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:31:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2010-07-09 09:23:35 EDT
I see this in /var/log/messages:

NetworkManager[1850]: <info> (wlan0): supplicant connection state:  scanning -> associating
NetworkManager[1850]: <info> (wlan0): roamed from BSSID 00:1E:79:D6:EB:71 (rh-wireless) to (none) ((none))
NetworkManager[1850]: <info> (wlan0): device state change: 8 -> 3 (reason 11)
NetworkManager[1850]: <info> (wlan0): deactivating device (reason: 11).
NetworkManager[1850]: <info> (wlan0): canceled DHCP transaction, DHCP client pid 9181
 NetworkManager[1850]: <error> [1278681275.202884] [nm-system.c:1271] check_one_route(): (wlan0): error -34 returned from rtnl_route_del(): Netlink Error (errno = Numerical result out of range)

Not sure if it's related, but my wifi connection crashes pretty often while on a nearby machine of a different brand it is holding properly.

NetworkManager-0.8.1-2.el6.x86_64
Comment 2 RHEL Product and Program Management 2010-07-15 10:53:06 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Dan Williams 2010-07-28 12:25:04 EDT
We can try to suppress this in Update 1.
Comment 4 Dan Williams 2010-08-03 18:07:26 EDT
Upstream fix:

4e1eb09fed68eb6695cd774f0a8e655d3c65804b (master)
3f5348ebf49986d06700a0a8ee4de5165a9919c7 (0.8.x)
Comment 8 releng-rhel@redhat.com 2010-11-10 14:31:44 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.